<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="../layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.atna.TestCaseDetails']}</h2>
        <h:form>
            <!-- viewPanel must be included in a form in order to display commandLinks -->

            <ui:include src="/testcase/viewPanel.xhtml">
                <ui:param name="testCase" value="#{testRunManager.testCase}"/>
                <ui:param name="manager" value="#{testRunManager}"/>
                <ui:param name="isOpen" value="#{true}"/>
            </ui:include>

            <p>
                <h:commandButton value="#{messages['net.ihe.gazelle.atna.RunTest']}" styleClass="gzl-btn-blue"
                                   action="#{testRunManager.navigateRunTestCase()}"/>
                <h:commandButton value="#{messages['net.ihe.gazelle.atna.BackToList']}" styleClass="gzl-btn"
                                   action="#{testRunManager.backToList()}" immediate="true" execute="@this"/>
            </p>

        </h:form>

        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.TestRuns']}</ui:define>
            <ui:include src="/testinstance/browser.xhtml">
                <ui:param name="browserBean" value="#{testRunManager}"/>
                <ui:param name="displayFilter" value="#{true}"/>
            </ui:include>
        </ui:decorate>

    </ui:define>
</ui:composition>
